package com.younike.system.service.impl;

import java.time.LocalDateTime;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.younike.system.mapper.MerchantInfoMapper;
import com.younike.system.domain.MerchantInfo;
import com.younike.system.service.IMerchantInfoService;

/**
 * 店铺资质信息

Service业务层处理
 * 
 * @author elev
 * @date 2022-01-05
 */
@Service
public class MerchantInfoServiceImpl implements IMerchantInfoService 
{
    @Autowired
    private MerchantInfoMapper merchantInfoMapper;

    /**
     * 查询店铺资质信息


     * 
     * @param merchantId 店铺资质信息

主键
     * @return 店铺资质信息


     */
    @Override
    public MerchantInfo selectMerchantInfoByMerchantId(Long merchantId)
    {
        return merchantInfoMapper.selectMerchantInfoByMerchantId(merchantId);
    }

    /**
     * 查询店铺资质信息

列表
     * 
     * @param merchantInfo 店铺资质信息


     * @return 店铺资质信息


     */
    @Override
    public List<MerchantInfo> selectMerchantInfoList(MerchantInfo merchantInfo)
    {
        return merchantInfoMapper.selectMerchantInfoList(merchantInfo);
    }

    /**
     * 新增店铺资质信息


     * 
     * @param merchantInfo 店铺资质信息


     * @return 结果
     */
    @Override
    public int insertMerchantInfo(MerchantInfo merchantInfo)
    {
        merchantInfo.setCreateTime(LocalDateTime.now());
        return merchantInfoMapper.insertMerchantInfo(merchantInfo);
    }

    /**
     * 修改店铺资质信息


     * 
     * @param merchantInfo 店铺资质信息


     * @return 结果
     */
    @Override
    public int updateMerchantInfo(MerchantInfo merchantInfo)
    {
        merchantInfo.setUpdateTime(LocalDateTime.now());
        return merchantInfoMapper.updateMerchantInfo(merchantInfo);
    }

    /**
     * 批量删除店铺资质信息


     * 
     * @param merchantIds 需要删除的店铺资质信息

主键
     * @return 结果
     */
    @Override
    public int deleteMerchantInfoByMerchantIds(Long[] merchantIds)
    {
        return merchantInfoMapper.deleteMerchantInfoByMerchantIds(merchantIds);
    }

    /**
     * 删除店铺资质信息

信息
     * 
     * @param merchantId 店铺资质信息

主键
     * @return 结果
     */
    @Override
    public int deleteMerchantInfoByMerchantId(Long merchantId)
    {
        return merchantInfoMapper.deleteMerchantInfoByMerchantId(merchantId);
    }
}
